/* FLEXBOX */
/* Flexbox Playground: https://codepen.io/osublake/full/dMLQJr */

* { box-sizing: border-box; }

html {
  font-family: sans-serif;
  font-size: 16px;
  margin: 0;
  padding: 0;
}

body {

}

.monotype {
  font-family: monospace;
  background-color: khaki;
  padding: 4px 8px;
  border-radius: 4px;
}

.flex-container {
  background-color: grey;
  display: block;
  margin-bottom: 40px;
  padding: 5px;
}

  .flex-item {
    font-size: 20px;
    line-height: 100px;
    text-align: center;
    background-color: orange;
    border-radius: 4px;
    width: 100px;
    margin: 10px;
  }

  .flex-item:nth-child(5n - 4) { background-color: #2a80b9; }
  .flex-item:nth-child(5n - 3) { background-color: #8f44ad; }
  .flex-item:nth-child(5n - 2) { background-color: #16a086; }
  .flex-item:nth-child(5n - 1) { background-color: #f1c40f; }
  .flex-item:nth-child(5n) { background-color: #e77e23; }

  
/* CONTENEDOR FLEXBOX */

/* 1. display:flex */


/* 2. flex-direction */


/* 3. flex-wrap */


/* 4. flex-flow */


/* 5. justify-content */


/* 6. align-items */


/* 7. align-content */



/* ELEMENTOS FLEXBOX */

/* 1. order */


/* 2. flex-grow */


/* 3. flex-shrink */


/* 4. flex-basis */


/* 5. flex */


/* 6. align-self */



